/*******************************************************************************

    This file is part of mDictionary.

    mDictionary is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    mDictionary is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with mDictionary.  If not, see <http://www.gnu.org/licenses/>.

    Copyright 2010 Comarch S.A.

*******************************************************************************/
/*! \file GoogleDictDialog.h
    \brief Class launches dialog which generates a new dictionary, or changes
    settings

    \author Jakub Jaszczynski <j.j.jaszczynski@gmail.com>
*/

#ifndef GOOGLEDICTDIALOG_H
#define GOOGLEDICTDIALOG_H

#include "../../include/DictDialog.h"
#include "../../include/settings.h"
#include "GooglePlugin.h"

class GooglePlugin;

class GoogleDictDialog : public DictDialog
{
     Q_OBJECT
public:
    explicit GoogleDictDialog(GooglePlugin* plugin, QObject *parent = 0);
    /*!
        Shows "add new google dictionary" dialog and returns settings of a new dict
        \param parent parent widget on which dialog will be displayed
    */
    Settings* addNewDictionary(QWidget *parent);

    /*!
        Shows "settings" dialog and saves new settings in plugin
        \param parent parent widget on which dialog will be displayed
    */
    void changeSettings(QWidget *parent);

private:
    GooglePlugin* plugin;
};

#endif // GOOGLEDICTDIALOG_H
