/*******************************************************************************

    This file is part of mDictionary.

    mDictionary is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    mDictionary is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with mDictionary.  If not, see <http://www.gnu.org/licenses/>.

    Copyright 2010 Comarch S.A.

*******************************************************************************/
/*! /file TranslationMock.cpp
\brief Testing mock for translation object

\author Bartosz Szatkowski <bulislaw@linux.com>
*/



#ifndef TRANSLATIONMOCK_H
#define TRANSLATIONMOCK_H

#include "../../src/include/translation.h"

/*! Translation mock is intended to simulate behaviour of real plugins
  translation, but without dependency and any kind of complicated operations*/
class TranslationMock : public Translation
{
public:

    ~TranslationMock () {}
    QString _key, _translation;
    QString key() const {return _key;}
    QString toXml() const {return _translation;}
};

#endif // TRANSLATIONMOCK_H
